# Container for building Qt applications for Win64
# Fedora is used, because it contains prebuild mingw libraries for Qt 6.

#-----------------------------------------------------------------------------

ARG FEDORA_VERSION

FROM fedora:${FEDORA_VERSION}

RUN rpm --import https://build.opensuse.org/projects/science:EtherLab:MinGW/signing_keys/download?kind=gpg && \
    curl -s -o /etc/yum.repos.d/etherlab.repo \
        https://download.opensuse.org/repositories/science:/EtherLab:/MinGW/Fedora_$(rpm -E %fedora)/science:EtherLab:MinGW.repo

RUN dnf install -y \
    cmake \
    cmake-rpm-macros \
    git \
    libtool \
    libxml2-devel \
    make \
    mercurial \
    mingw64-cpp \
    mingw64-fftw \
    mingw64-filesystem \
    mingw64-gcc \
    mingw64-gcc-c++ \
    mingw64-libpdcom5-devel \
    mingw64-libxml2 \
    mingw64-pcre \
    mingw64-protobuf \
    mingw64-python3 \
    mingw64-python3-pdcom5 \
    mingw64-qt6-qt5compat \
    mingw64-qt6-qtbase \
    mingw64-qt6-qtcharts \
    mingw64-qt6-qtdeclarative \
    mingw64-qt6-qtsvg \
    mingw64-qt6-qttools \
    mingw64-qt6-qtwebsockets \
    mingw64-uriparser \
    patch \
    protobuf \
    uriparser-devel \
    && dnf clean all \
    && rm -rf /var/cache/yum
#-----------------------------------------------------------------------------
